org.yaml.snakeyaml.events

## Class DocumentEndEvent

- java.lang.Object
- - org.yaml.snakeyaml.events.Event
  - - org.yaml.snakeyaml.events.DocumentEndEvent

    public final class DocumentEndEvent
    extends Event

Marks the end of a document.

This event follows the document's content.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.yaml.snakeyaml.events.Event

`Event.ID`

### Constructor Summary

Constructors
Constructor and Description
`DocumentEndEvent(Mark startMark, Mark endMark, boolean explicit)`

### Method Summary

Methods
`Event.ID` `getEventId()` Get the type (kind) if this Event
`boolean` `getExplicit()`

### Methods inherited from class org.yaml.snakeyaml.events.Event

`equals, getArguments, getEndMark, getStartMark, hashCode, is, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DocumentEndEvent

    public DocumentEndEvent(Mark startMark,
                    Mark endMark,
                    boolean explicit)

### Method Detail

#### getExplicit

    public boolean getExplicit()

#### getEventId

    public Event.ID getEventId()

Description copied from class: `Event`
Get the type (kind) if this Event

Specified by:
  `getEventId` in class `Event`
Returns:
  the ID of this Event